%global svnrev 111
%global svndate 20091022

Name:           obt
Version:        1.4.0
Release:        1.%{svndate}svn%{svnrev}%{?dist}
Summary:        Open Bunraku Tools

Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://obt.gforge.inria.fr/
# fedora-getsvn obt svn://scm.gforge.inria.fr/svn/obt/obt/trunk 111
Source0:        %{name}-svn%{svnrev}.tar.bz2
Patch0:         %{name}-1.4.0-includedir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  dos2unix


%description
Useful common programming library by the Bunraku team :
 - Singleton - Plugins - Services - Factory - Tracer - XML 


%package devel
Summary:        Development files for the %{name} library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for the %{name} library.


%package docs
Summary:        Documentation for the %{name} library
Group:          Documentation

%description docs
Documenation for the %{name} library.


%prep
%setup -q -n %{name}
%patch0 -p1

# fix EOLs
dos2unix --keepdate Doc/ReadMe.txt

# fix library path
sed -i 's|/lib|/%{_lib}|' Source/CMakeLists.txt


%build
mkdir build
pushd build
%{cmake} ..
make %{?_smp_mflags}
popd

# build docs
pushd Doc
doxygen
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc Doc/ReadMe.txt Doc/lgpl.txt
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/OBT
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files docs
%defattr(-,root,root,-)
%doc Doc/html


%changelog
* Fri Jan  1 2010 Dan Horák <dan[at]danny.cz> 1.4.0-1.20091022svn111
- initial Fedora version
